package com.bonus.canteen.core.supply.purchase.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDate;

@ApiModel
public class DrpOrderGoodsPayStyleVO implements Serializable {
   @ApiModelProperty("采购订单号")
   private String orderGoodsId;
   @ApiModelProperty("付款方式(1一次性付款,2分期付款)")
   private Integer payMoneyStyle;
   @ApiModelProperty("付款日期")
   private LocalDate payMoneyDate;
   @ApiModelProperty("收款银行")
   private String collectMoneyBank;
   @ApiModelProperty("收款账户")
   private String collectMoneyAccount;
   @ApiModelProperty("账户名称")
   private String collectMoneyAccountName;
   @ApiModelProperty("备注")
   private String remark;

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Integer getPayMoneyStyle() {
      return this.payMoneyStyle;
   }

   public LocalDate getPayMoneyDate() {
      return this.payMoneyDate;
   }

   public String getCollectMoneyBank() {
      return this.collectMoneyBank;
   }

   public String getCollectMoneyAccount() {
      return this.collectMoneyAccount;
   }

   public String getCollectMoneyAccountName() {
      return this.collectMoneyAccountName;
   }

   public String getRemark() {
      return this.remark;
   }

   public DrpOrderGoodsPayStyleVO setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public DrpOrderGoodsPayStyleVO setPayMoneyStyle(final Integer payMoneyStyle) {
      this.payMoneyStyle = payMoneyStyle;
      return this;
   }

   public DrpOrderGoodsPayStyleVO setPayMoneyDate(final LocalDate payMoneyDate) {
      this.payMoneyDate = payMoneyDate;
      return this;
   }

   public DrpOrderGoodsPayStyleVO setCollectMoneyBank(final String collectMoneyBank) {
      this.collectMoneyBank = collectMoneyBank;
      return this;
   }

   public DrpOrderGoodsPayStyleVO setCollectMoneyAccount(final String collectMoneyAccount) {
      this.collectMoneyAccount = collectMoneyAccount;
      return this;
   }

   public DrpOrderGoodsPayStyleVO setCollectMoneyAccountName(final String collectMoneyAccountName) {
      this.collectMoneyAccountName = collectMoneyAccountName;
      return this;
   }

   public DrpOrderGoodsPayStyleVO setRemark(final String remark) {
      this.remark = remark;
      return this;
   }
}
